List configured Pipes providers
GET /v1/pipes/providers: List configured Pipes providers.
GET /v1/pipes/providers
Client secrets are never returned.
- Scope
pipes:read- Auth
- Secret key (
sk_…) - Since
- 1.1
Headers
Section titled “Headers”
Minor version; defaults to the environment’s pin.OhAuthCat-Versionstring
Responses
Section titled “Responses”- 200 OK PipeProviderList
- 401 Codes: authentication_required, api_key_invalid. Error
- 403 Codes: api_key_scope_missing, ip_not_allowed, plan_limit_reached. Error
- 429 Code: rate_limited. Retry-After is set. Error
- default Any other error, including internal_error. Every code is in the error catalogue. Error
Errors share one shape; see the error code catalogue.
curl -X GET \ "https://api.ohauthcat.com/v1/pipes/providers" \ -H "Authorization: Bearer $OHAUTHCAT_API_KEY"const response = await fetch("https://api.ohauthcat.com/v1/pipes/providers", { method: "GET", headers: { Authorization: `Bearer ${process.env.OHAUTHCAT_API_KEY}`, },});const data = await response.json();import osimport requests
response = requests.get( "https://api.ohauthcat.com/v1/pipes/providers", headers={"Authorization": f"Bearer {os.environ['OHAUTHCAT_API_KEY']}"},)data = response.json(){ "object": "list", "data": [ { "object": "pipe_provider", "provider": "okta", "kind": "default", "client_id": "client_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "scopes": [ "organizations:read" ], "authorize_url": "https://app.acme.com/callback", "token_url": "https://app.acme.com/callback", "revoke_url": "https://app.acme.com/callback", "created_at": "2026-01-15T09:30:00Z", "updated_at": "2026-01-15T09:30:00Z" } ]}